Subject: Re: [JGIT PATCH 4/5] Define Patch to parse a sequence of patch FileHeaders

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 11 Dec 2008 12:41:37 -0800

Robin Rosenberg <[email-masked]> wrote:
> ...Quick, quick, find something else to pick on..  :->

Heh, you'll get more patches again from me today, so there'll still
be more to pick on. :)
 
> Yes. Very little of the code in TemporaryBuffer is covered by the unit tests
> and number of conditionals in there are rather large. I tried messing with
> the constants in there to improve that and then PatchTest started to fail.
> 
> Here are the changes I tried with. I think it should still work with thes
> changes. Rather than changing the other tests, we might want to create
> a special test for only the buffer class.

Ok.  I was thinking the same thing actually, that I should spend a
bit of time today and try to get coverage on TemporaryBuffer.  I'll
write a unit test for it.

-- 
Shawn.